package com.muyu.networking.controller;

import java.util.List;

import javax.servlet.http.HttpServletResponse;

import com.muyu.domain.AddService;
import com.muyu.networking.service.AddServiceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.muyu.common.log.annotation.Log;
import com.muyu.common.log.enums.BusinessType;
import com.muyu.common.security.annotation.RequiresPermissions;

import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.domain.Result;
import com.muyu.common.core.utils.poi.ExcelUtil;
import com.muyu.common.core.web.page.TableDataInfo;

/**
 * 【请填写功能名称】Controller
 *
 * @author ruoyi
 * @date 2024-05-25
 */
@RestController
@RequestMapping("/addService")
public class AddServiceController extends BaseController
{
    @Autowired
    private AddServiceService addServiceService;

    /**
     * 查询【请填写功能名称】列表
     */
    @RequiresPermissions("system:service:list")
    @GetMapping("/list")
    public Result<TableDataInfo<AddService>> list(AddService addService)
    {
        startPage();
        List<AddService> list = addServiceService.selectAddServiceList(addService);
        return getDataTable(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @RequiresPermissions("system:service:export")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, AddService addService)
    {
        List<AddService> list = addServiceService.selectAddServiceList(addService);
        ExcelUtil<AddService> util = new ExcelUtil<AddService>(AddService.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @RequiresPermissions("system:service:query")
    @GetMapping(value = "/{id}")
    public Result getInfo(@PathVariable("id") Long id)
    {
        return success(addServiceService.selectAddServiceById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @RequiresPermissions("system:service:add")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping
    public Result add(@RequestBody AddService addService)
    {
        return toAjax(addServiceService.insertAddService(addService));
    }

    /**
     * 修改【请填写功能名称】
     */
    @RequiresPermissions("system:service:edit")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PutMapping
    public Result edit(@RequestBody AddService addService)
    {
        return toAjax(addServiceService.updateAddService(addService));
    }

    /**
     * 删除【请填写功能名称】
     */
    @RequiresPermissions("system:service:remove")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public Result remove(@PathVariable Long[] ids)
    {
        return toAjax(addServiceService.deleteAddServiceByIds(ids));
    }
}
