package com.muyu.networking.controller;

import javax.servlet.http.HttpServletResponse;


import com.muyu.common.core.utils.poi.ExcelUtil;
import com.muyu.domain.ModeOfPayment;
import com.muyu.networking.service.ModeOfPaymentIdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.muyu.common.log.annotation.Log;
import com.muyu.common.log.enums.BusinessType;
import com.muyu.common.security.annotation.RequiresPermissions;


import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.domain.Result;

import com.muyu.common.core.web.page.TableDataInfo;

import java.util.List;

/**
 * 【请填写功能名称】Controller
 *
 * @author ruoyi
 * @date 2024-05-25
 */
@RestController
@RequestMapping("/id")
public class ModeOfPaymentIdController extends BaseController
{
    @Autowired
    private ModeOfPaymentIdService modeOfPaymentIdService;

    /**
     * 查询【请填写功能名称】列表
     */
    @RequiresPermissions("system:id:list")
    @GetMapping("/list")
    public Result<TableDataInfo<ModeOfPayment>> list(ModeOfPayment modeOfPaymentId)
    {
        startPage();
        List<ModeOfPayment> list = modeOfPaymentIdService.selectModeOfPaymentIdList(modeOfPaymentId);
        return getDataTable(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @RequiresPermissions("system:id:export")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, ModeOfPayment modeOfPaymentId)
    {
        List<ModeOfPayment> list = modeOfPaymentIdService.selectModeOfPaymentIdList(modeOfPaymentId);
        ExcelUtil<ModeOfPayment> util = new ExcelUtil<ModeOfPayment>(ModeOfPayment.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @RequiresPermissions("system:id:query")
    @GetMapping(value = "/{id}")
    public Result getInfo(@PathVariable("id") Long id)
    {
        return success(modeOfPaymentIdService.selectModeOfPaymentIdById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @RequiresPermissions("system:id:add")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping
    public Result add(@RequestBody ModeOfPayment modeOfPaymentId)
    {
        return toAjax(modeOfPaymentIdService.insertModeOfPaymentId(modeOfPaymentId));
    }

    /**
     * 修改【请填写功能名称】
     */
    @RequiresPermissions("system:id:edit")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PutMapping
    public Result edit(@RequestBody ModeOfPayment modeOfPaymentId)
    {
        return toAjax(modeOfPaymentIdService.updateModeOfPaymentId(modeOfPaymentId));
    }

    /**
     * 删除【请填写功能名称】
     */
    @RequiresPermissions("system:id:remove")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public Result remove(@PathVariable Long[] ids)
    {
        return toAjax(modeOfPaymentIdService.deleteModeOfPaymentIdByIds(ids));
    }
}
